#ifndef LORAHANDLER_H
#define LORAHANDLER_H

#include "config.hpp"
#include <SPI.h>
#include <LoRa.h>

struct ReceivedLoRaPacket {
    String  text;
    int     rssi;
    float   snr;
    int     freqError;
};

class LoraHandler {
    public:
        void setup();
        ReceivedLoRaPacket receivePacket();
    private:
};

#endif /* LORAHANDLER_H */